USE raw_db;
-- DROP TABLE fund_performance_dolphin;
CREATE TABLE `fund_performance_dolphin` (
  `fund_id` VARCHAR(10) NOT NULL COMMENT '基金id',
  `end_date` VARCHAR(7) NOT NULL COMMENT '截至日期',
  `price_date` DATE DEFAULT NULL COMMENT '最近累计净值日期',
  `cumulative_nav` DECIMAL(22,6) DEFAULT NULL COMMENT '最近累计净值',
  `ret_1m` DECIMAL(22,6) DEFAULT NULL COMMENT '最近一个月收益率',
  `ret_1m_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近一个月收益率（年化）',
  `ret_3m` DECIMAL(22,6) DEFAULT NULL COMMENT '最近三个月收益率',
  `ret_3m_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近三个月收益率（年化）',
  `ret_6m` DECIMAL(22,6) DEFAULT NULL COMMENT '最近半年收益率',
  `ret_6m_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近半年收益率（年化）',
  `ret_1y` DECIMAL(22,6) DEFAULT NULL COMMENT '最近一年收益率',
  `ret_1y_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近一年收益率（年化）',
  `ret_2y` DECIMAL(22,6) DEFAULT NULL COMMENT '最近两年收益率',
  `ret_2y_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近两年收益率（年化）',
  `ret_3y` DECIMAL(22,6) DEFAULT NULL COMMENT '最近三年收益率',
  `ret_3y_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近三年收益率（年化）',
  `ret_4y` DECIMAL(22,6) DEFAULT NULL COMMENT '最近四年收益率',
  `ret_4y_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近四年收益率（年化）',
  `ret_5y` DECIMAL(22,6) DEFAULT NULL COMMENT '最近五年收益率',
  `ret_5y_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近五年收益率（年化）',
  `ret_10y` DECIMAL(22,6) DEFAULT NULL COMMENT '最近十年收益率',
  `ret_10y_a` DECIMAL(22,6) DEFAULT NULL COMMENT '最近十年收益率（年化）',
  `ret_ytd` DECIMAL(22,6) DEFAULT NULL COMMENT '今年以来收益率',
  `ret_ytd_a` DECIMAL(22,6) DEFAULT NULL COMMENT '今年以来收益率（年化）',
  `ret_incep` DECIMAL(22,6) DEFAULT NULL COMMENT '成立以来收益率',
  `ret_incep_a` DECIMAL(22,6) DEFAULT NULL COMMENT '成立以来收益率（一年以下不年化）',
  PRIMARY KEY (`fund_id`,`end_date`)
) COMMENT='DolphinDB写回的基金历史业绩表'
